GTK+ Forums

Discussion forum for GTK+ and Programming. Ask questions, troubleshoot problems, view and post example code, or express your opinions.
It is currently Sat Dec 20, 2014 10:27 am

All times are UTC




Post new topic Reply to topic  [ 10 posts ] 
Author Message
 Post subject: How to install glade 3 in debian ._. please help
PostPosted: Sat Dec 29, 2007 5:24 am 
Offline
Familiar Face

Joined: Fri Dec 28, 2007 5:02 am
Posts: 6
I have downloaded glade from gnome site.

I started installing as given in the install file

When I executed ./configure, after a long checking it ended up with the following message

Quote:
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables GTK_CFLAGS
and GTK_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.


Can anybody help me.





Thanks In Advance for your valuable Time

Brijith


Top
 Profile  
 
 Post subject:
PostPosted: Sat Dec 29, 2007 9:36 pm 
Offline
Never Seen the Sunlight

Joined: Wed Sep 21, 2005 12:07 am
Posts: 563
Location: Portland, OR USA
First, there is an error right before what you posted that contains the package that you are missing as a dependency. To build from source (as you are trying to do, you will need to install dependencies first). Paste in your whole error.

Secondly, it may be easier to install Glade3 from package. You'll want to find the package for your exact distro. Perhaps this one? http://packages.debian.org/lenny/glade

_________________
Micah Carrick - Forum Administrator
http://www.micahcarrick.com


Top
 Profile  
 
 Post subject: Agin Lots of Dependency Probelms
PostPosted: Tue Jan 01, 2008 10:54 am 
Offline
Familiar Face

Joined: Fri Dec 28, 2007 5:02 am
Posts: 6
I have gone through the link. I got glade_3.2.2-1_i386.deb. While I tried to install ded ussing dpkg I got the following error

Quote:
su
Password:
Debian-Newmegadisk:/home/brijith/Desktop# cd Glade/
Debian-Newmegadisk:/home/brijith/Desktop/Glade# dpkg -i glade_3.2.2-1_i386.deb Selecting previously deselected package glade.
dpkg: considering removing glade-gnome in favour of glade ...
dpkg: yes, will remove glade-gnome in favour of glade.
(Reading database ... 93788 files and directories currently installed.)
Unpacking glade (from glade_3.2.2-1_i386.deb) ...
dpkg: dependency problems prevent configuration of glade:
glade depends on libc6 (>= 2.5-5); however:
Version of libc6 on system is 2.3.6.ds1-13.
glade depends on libgladeui-1-5; however:
Package libgladeui-1-5 is not installed.
glade depends on libglib2.0-0 (>= 2.12.9); however:
Version of libglib2.0-0 on system is 2.12.4-2.
glade depends on libgtk2.0-0 (>= 2.10.3); however:
Version of libgtk2.0-0 on system is 2.8.20-7.
dpkg: error processing glade (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
glade


Again Lots of Dependency Probelms


Top
 Profile  
 
 Post subject:
PostPosted: Tue Jan 01, 2008 5:56 pm 
Offline
Never Seen the Sunlight

Joined: Wed Sep 21, 2005 12:07 am
Posts: 563
Location: Portland, OR USA
Does your distribution of Debian use apt-get? That would be the easiest solution. Someting along the lines of 'sudo apt-get glade-3' Otherwise you will have to upgrade those other packages on your system.

_________________
Micah Carrick - Forum Administrator
http://www.micahcarrick.com


Top
 Profile  
 
 Post subject:
PostPosted: Tue Jan 08, 2008 11:26 am 
Offline
Familiar Face

Joined: Fri Dec 28, 2007 5:02 am
Posts: 6
Ya I have apt-get but I cant find glade-3 in it cache. and it says like the below

Quote:
Debian-Newmegadisk:/home/brijith# apt-get install glade-3
Reading package lists... Done
Building dependency tree... Done
E: Couldn't find package glade-3
Debian-Newmegadisk:/home/brijith#


is there any method to update my apt-cache

Thanks,
BR!j!TH


Top
 Profile  
 
 Post subject:
PostPosted: Tue Jan 08, 2008 4:33 pm 
Offline
Never Seen the Sunlight

Joined: Wed Sep 21, 2005 12:07 am
Posts: 563
Location: Portland, OR USA
Try

[code=]apt-cache --name-only search glade[/code]

_________________
Micah Carrick - Forum Administrator
http://www.micahcarrick.com


Top
 Profile  
 
 Post subject:
PostPosted: Wed Jan 09, 2008 4:03 am 
Offline
Familiar Face

Joined: Fri Dec 28, 2007 5:02 am
Posts: 6
This is the out come

Quote:
Debian-Newmegadisk:/home/brijith/amracs# apt-cache --name-only search glade
E: Command line option --name-only is not understood


And when i tried apt-cache search glade I got the result

Quote:
Debian-Newmegadisk:/home/brijith# apt-cache search glade
anjuta - A GNOME development IDE for C/C++
anjuta-common - Data files for Anjuta
gazpacho - GTK+ User Interface Designer
glade - GTK+ 2 User Interface Builder
glade-2 - Dummy upgrade package for glade
glade-common - Common files for GTK+ 2 User Interface Builder
glade-common-2 - Dummy upgrade package for glade-common
glade-doc - Documentation for GTK+ 2 User Interface Builder
glade-doc-2 - Dummy upgrade package for glade-doc
glade-gnome - GTK+ 2 User Interface Builder (with GNOME 2 support)
glade-gnome-2 - Dummy upgrade package for glade-gnome
glade-perl - Convert Glade-Interface XML into perl code
glademm - C++ code generator for glade and glade-2
gnat-glade - GNAT Library for Ada Distributed Execution
gnat-glade-doc - GNAT Distributed Systems Annex documentation
gtkdialog - GUI-creation command-line utility based on GTK+ library
guile-gnome0-gtk - Guile bindings for GTK+, libglade, Pango and ATK
intltool - Utility scripts for internationalizing XML
libgarlic-dev - Generic Ada Reusable Library for Interpartition Communication
libgarlic2006 - Generic Ada Reusable Library for Interpartition Communication
libglade-cil - CLI binding for the Glade libraries
libglade-gnome0 - library to load .glade files at runtime (Gnome widgets support)
libglade-gnome0-dev - development files for libglade (Gnome widgets support)
libglade-perl - Glade-perl runtime modules
libglade0 - library to load .glade files at runtime
libglade0-dev - development files for libglade
libglade2-0 - library to load .glade files at runtime
libglade2-dev - development files for libglade
libglade2-ruby - Libglade 2 bindings for the Ruby language
libglade2.0-cil - CLI binding for the Glade libraries 2.6
libglademm-2.4-1c2a - C++ wrappers for libglade2 (shared library)
libglademm-2.4-dev - C++ wrappers for libglade2 (development files)
libglademm-2.4-doc - C++ wrappers for libglade2 (development files)
libgladexml-perl - Perl module for the libglade library
libgnomeada2-dbg - Debugging symbols for libgnomeada2
libgnomeada2-dev - Development files for libgnomeada2
libgtk2-gladexml-perl - Perl interface to use user interfaces created with glade-2
libgtkada-glade-2.8 - Ada binding for Glade generated applications
libgtkada2-bin - Development files for libgtkada2
libgtkada2-dbg - Debugging symbols for libgtkada2
libgtkada2-dev - Development files for libgtkada2
libgtkada2-doc - Documentation for libgtkada2
python-glade-1.2 - Put a bit of python code behind interfaces built with GLADE
python-glade2 - GTK+ bindings: Glade support
python-gtkmvc - model-view-controller (MVC) implementation for pygtk
python-wxglade - GUI designer written in Python with wxPython
spe - Stani's Python Editor
stetic - GNOME and GTK+ GUI designer
Debian-Newmegadisk:/home/brijith#


And one more thing I have glade 2 installed in my system. I want to replace it with glade 3.

Thanks
BRijiTH


Top
 Profile  
 
 Post subject:
PostPosted: Wed Jan 09, 2008 6:04 pm 
Offline
Never Seen the Sunlight

Joined: Wed Sep 21, 2005 12:07 am
Posts: 563
Location: Portland, OR USA
What version of debian do you have? Perhaps glade-3 is in a development repo...

_________________
Micah Carrick - Forum Administrator
http://www.micahcarrick.com


Top
 Profile  
 
 Post subject:
PostPosted: Thu Jan 10, 2008 4:28 am 
Offline
Familiar Face

Joined: Fri Dec 28, 2007 5:02 am
Posts: 6
Debian GNU/Linux 4.0


Top
 Profile  
 
 Post subject:
PostPosted: Thu Jan 10, 2008 3:33 pm 
Offline
Never Seen the Sunlight

Joined: Wed Sep 21, 2005 12:07 am
Posts: 563
Location: Portland, OR USA
Debian "etch" does not seem to include glade-3 debs. This is very strange to me. I found this post: http://lists.ximian.com/pipermail/glade-devel/2006-June/001245.html which links to to a .deb that might work.

In looking at the packages for Debian 4.0 (etch) I see that it has software that is mostly too old to install Glade 3 from source without upgrading a bunch of packages including GTK+ (debian 4.0 has 2.8, glade 3 requires 2.10, latest is 2.12). I don't know Debian--I'm using Ubuntu--but that seems strange to me.

The "testing" release of debian, code name "Lenny" has all the dependencies and glade-3 available. Don't know if that's a option for you.

If you were to try to install from source, you're going to have to first install 'pkg-config' from apt-get and then you will have to install all the dependencies as well (which the ./configure step will tell you). That's a lot of work.

_________________
Micah Carrick - Forum Administrator
http://www.micahcarrick.com


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 10 posts ] 

All times are UTC


Who is online

Users browsing this forum: No registered users and 5 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group